Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module search :: Class SearchBar |
[frames] | no frames]

# Class SearchBar

source code

    wx.ToolBar --+
                 |
    object --+   |
             |   |
    GuiCreator --+
                 |
                SearchBar

Instance Methods
__init__(self, parent) x.__init__(...) initializes x; see help(type(x)) for signature | source code
set_timeline_canvas(self, timeline_canvas) | source code
get_value(self) | source code
update_nomatch_labels(self, nomatch) | source code
update_singlematch_label(self, singlematch) | source code
update_buttons(self) | source code
Inherited from `GuiCreator`: `set_focus` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, parent) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)